org.h2.engine

## Enum Mode.UniqueIndexNullsHandling

- java.lang.Object
- - java.lang.Enum<Mode.UniqueIndexNullsHandling>
  - - org.h2.engine.Mode.UniqueIndexNullsHandling

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Mode.UniqueIndexNullsHandling>

Enclosing class:
  Mode

    public static enum Mode.UniqueIndexNullsHandling
    extends java.lang.Enum<Mode.UniqueIndexNullsHandling>

Determines how rows with `NULL` values in indexed columns are handled in unique indexes.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALLOW_DUPLICATES_WITH_ALL_NULLS` Multiple rows with identical values in indexed columns with all indexed `NULL` values are allowed in unique index.
`ALLOW_DUPLICATES_WITH_ANY_NULL` Multiple rows with identical values in indexed columns with at least one indexed `NULL` value are allowed in unique index.
`FORBID_ANY_DUPLICATES` Multiple rows with identical values in indexed columns are not allowed in unique index.

### Method Summary

All Methods Static Methods Concrete Methods
`static Mode.UniqueIndexNullsHandling` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Mode.UniqueIndexNullsHandling[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALLOW_DUPLICATES_WITH_ANY_NULL

    public static final Mode.UniqueIndexNullsHandling ALLOW_DUPLICATES_WITH_ANY_NULL

Multiple rows with identical values in indexed columns with at least one indexed `NULL` value are allowed in unique index.

#### ALLOW_DUPLICATES_WITH_ALL_NULLS

    public static final Mode.UniqueIndexNullsHandling ALLOW_DUPLICATES_WITH_ALL_NULLS

Multiple rows with identical values in indexed columns with all indexed `NULL` values are allowed in unique index.

#### FORBID_ANY_DUPLICATES

    public static final Mode.UniqueIndexNullsHandling FORBID_ANY_DUPLICATES

Multiple rows with identical values in indexed columns are not allowed in unique index.

### Method Detail

#### values

    public static Mode.UniqueIndexNullsHandling[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Mode.UniqueIndexNullsHandling c : Mode.UniqueIndexNullsHandling.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Mode.UniqueIndexNullsHandling valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null